Package com.independentsoft.office.word

# Class TrackChange

java.lang.Object
com.independentsoft.office.word.Markup
com.independentsoft.office.word.TrackChange

Direct Known Subclasses:
  `CellDeletion`, `CellInsertion`, `CellMerge`, `CellPropertiesRevision`, `Comment`, `CustomXmlDeletionStart`, `CustomXmlInsertionStart`, `CustomXmlMoveFromStart`, `CustomXmlMoveToStart`, `DeletedParagraph`, `DeletedRow`, `InsertedNumberingProperties`, `InsertedParagraph`, `InsertedRow`, `MoveFromParagraph`, `MoveToParagraph`, `NumberingTrackChange`, `ParagraphMarkRunPropertiesRevision`, `ParagraphPropertiesRevision`, `RowPropertiesRevision`, `RunPropertiesChange`, `RunTrackChange`, `SectionPropertiesRevision`, `TablePropertiesRevision`

public class TrackChange extends Markup
The Class TrackChange.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `author`
  `protected Date`
  `date`

  ### Fields inherited from class com.independentsoft.office.word.Markup

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TrackChange()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TrackChange`
  `clone()`
  `String`
  `getAuthor()`
  Gets the author.
  `Date`
  `getDate()`
  Gets the date.
  `void`
  `setAuthor​(String author)`
  Sets the author.
  `void`
  `setDate​(Date date)`
  Sets the date.

  ### Methods inherited from class com.independentsoft.office.word.Markup

  `getID, setID`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### author

    protected String author

  - ### date

    protected Date date

- ## Constructor Details

  - ### TrackChange

    public TrackChange()

- ## Method Details

  - ### clone

    public TrackChange clone()
    Specified by:
      `clone` in class `Markup`

  - ### getAuthor

    public String getAuthor()
    Gets the author.
    Returns:
      the author

  - ### setAuthor

    public void setAuthor​(String author)
    Sets the author.
    Parameters:
      `author` - the new author

  - ### getDate

    public Date getDate()
    Gets the date.
    Returns:
      the date

  - ### setDate

    public void setDate​(Date date)
    Sets the date.
    Parameters:
      `date` - the new date